=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: refpolicy
-VCS-Git: https://anonscm.debian.org/git/selinux/refpolicy.git
-VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/refpolicy.git;a=summary
+VCS-Git: https://salsa.debian.org/selinux-team/refpolicy.git
+VCS-Browser: https://salsa.debian.org/selinux-team/refpolicy
 Priority: optional
 Section: admin
-Homepage: https://github.com/TresysTechnology/refpolicy/wiki
+Homepage: https://github.com/SELinuxProject/refpolicy/releases
 Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
 Uploaders: Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 9)
+Standards-Version: 4.1.4
+Build-Depends: debhelper (>= 11)
 Build-Depends-Indep: bzip2,
-                     checkpolicy (>= 2.7~rc2-1),
+                     checkpolicy (>= 2.8-1),
                      gawk,
-                     libsepol1 (>= 2.7~rc2-1),
+                     libsepol1 (>= 2.8-1),
                      m4,
-                     policycoreutils (>= 2.6),
-                     policycoreutils-python-utils (>= 2.6),
-                     python,
+                     policycoreutils (>= 2.8-1),
+                     policycoreutils-python-utils (>= 2.8-1),
+                     python3,
 # Needed for the --sort=name option, can probably be removed when this version
 # hits stable.
                      tar (>= 1.28)
 
 Package: selinux-policy-default
 Architecture: all
-Depends: libselinux1 (>= 2.5),
-         libsemanage1 (>= 2.5),
-         libsepol1 (>= 2.5),
-         policycoreutils (>= 2.5),
-         selinux-utils (>= 2.5),
+Depends: libselinux1 (>= 2.8-1),
+         libsemanage1 (>= 2.8-1),
+         libsepol1 (>= 2.8-1),
+         policycoreutils (>= 2.8-1),
+         selinux-utils (>= 2.8-1),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
@@ -42,12 +42,11 @@
 
 Package: selinux-policy-mls
 Architecture: all
-Priority: extra
-Depends: libselinux1 (>= 2.4),
-         libsemanage1 (>= 2.4),
-         libsepol1 (>= 2.4),
-         policycoreutils (>= 2.4),
-         selinux-utils (>= 2.4),
+Depends: libselinux1 (>= 2.8-1),
+         libsemanage1 (>= 2.8-1),
+         libsepol1 (>= 2.8-1),
+         policycoreutils (>= 2.8-1),
+         selinux-utils (>= 2.8-1),
          ${misc:Depends}
 Recommends: checkpolicy, setools
 Suggests: logcheck, syslog-summary
@@ -64,14 +63,14 @@
 
 Package: selinux-policy-src
 Architecture: all
-Depends: checkpolicy (>= 2.4),
+Depends: checkpolicy (>= 2.8-1),
          gawk,
          make,
-         policycoreutils (>= 2.4),
-         policycoreutils-python-utils (>= 2.4),
-         python,
+         policycoreutils (>= 2.8-1),
+         policycoreutils-python-utils (>= 2.8-1),
+         python3,
          ${misc:Depends}
-Recommends: policycoreutils-dev (>= 2.4), setools
+Recommends: policycoreutils-dev (>= 2.8-1), setools
 Suggests: logcheck, syslog-summary
 Description: Source of the SELinux reference policy for customization
  The SELinux Reference Policy (refpolicy) is a complete SELinux
@@ -96,15 +95,15 @@
 
 Package: selinux-policy-dev
 Architecture: all
-Depends: checkpolicy (>= 2.4),
+Depends: checkpolicy (>= 2.8-1),
          gawk,
          m4,
          make,
-         policycoreutils (>= 2.4),
-         policycoreutils-dev (>= 2.4),
-         policycoreutils-python-utils (>= 2.4),
-         python,
-         selinux-utils (>= 2.4),
+         policycoreutils (>= 2.8-1),
+         policycoreutils-dev (>= 2.8-1),
+         policycoreutils-python-utils (>= 2.8-1),
+         python3,
+         selinux-utils (>= 2.8-1),
          ${misc:Depends}
 Recommends: setools
 Description: Headers from the SELinux reference policy for building modules
