=== debian/watch ===
version=3

opts="uversionmangle=s/^2./2./" \
https://github.com/TresysTechnology/refpolicy/wiki/DownloadRelease \
 (?:.*)/refpolicy/files/refpolicy-(.*)\.tar\.bz2
